Skip to content

Delete a coupon

DELETE
/v1/coupons/{id}

Delete an existing coupon by ID for the authenticated company

id
required
string
Example
coupon_123abc

The unique identifier of the coupon to delete

Successfully deleted coupon

object
status
string
Allowed values: ok
data

Empty response body

object

Unauthorized - authentication required

object
status
string
Example
error
message
string
Example
An error occurred
error
string

Coupon not found

object
status
string
Example
error
message
string
Example
An error occurred
error
string

Internal server error

object
status
string
Example
error
message
string
Example
An error occurred
error
string